[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide rebuild in mock status 2006-05-19



On Sun, 2006-05-21 at 17:37 -0400, Jakub Jelinek wrote:
> On Sat, May 20, 2006 at 11:31:28PM -0400, seth vidal wrote:
> > right now I'm mostly concerned with the idea that in order to build for
> > x86_64 we have to first have i686 built.
> 
> The dependency is that to build x86_64 gcc you need i[36]86 and x86_64
> glibc{,-devel} (similarly for ppc that needs ppc{,64} glibc{,-devel}, ppc64
> needs ppc{64,}, s390x needs s390{,x}).
> We want gcc to support both -m64 and -m32 on the arches where this is
> possible, and for multilib support both arches of glibc development are
> needed.

And for a few other low-level packages[1], the 32-bit glibc-devel is
needed for building them as well on x86_64.

Jeremy

[1] Notably bootloaders (syslinux and grub) and memtest86+ as they're
largely not actually 64-bit code, but we want to build them as x86_64
packages


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]